#
# spec file for package python-praatio
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-praatio
Version:        4.1.0
Release:        1.14
Summary:        A library for working with praat
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/timmahrt/praatIO
Source0:        https://github.com/timmahrt/praatIO/archive/v%{version}.tar.gz#/praatIO-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     praat
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
BuildArch:      noarch
%python_subpackages

%package -n %{name}-doc
Summary:        Documentation files for praatio
Group:          Documentation/HTML
Provides:       %{python_module praatio-doc = %{version}}

%description -n %{name}-doc
HTML Documentation and examples for praatio.

%description
A library for working with praat, time aligned audio transcripts, and
audio files.

Praat uses a file format called textgrids, which are time aligned
speech transcripts. This library also provides utilities are to work
with  transcripts and associated audio file and some other tools for
use with praat.

%prep
%setup -q -n praatIO-%{version}
sed -i 's/\r$//' examples/files/mary.TextGrid

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest examples/test/*.py

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%files -n %{name}-doc
%license LICENSE
%doc README.md docs/* examples tutorials

%changelog
* Fri Jun 12 2020 pgajdos@suse.com
- version update to 4.1.0
  * Textgrids can now be read "raw"
- switch from nosetests to pytest
* Mon Feb 10 2020 Todd R <toddrme2178@gmail.com>
- Update to 4.0.0
  * Removed unlicensed xsampa.py file, along with associated utility sppas_util.py (originally added in Ver 3.4)
    If you are not directly importing either of those files, you can upgrade without changing your code
* Thu Jan 30 2020 Todd R <toddrme2178@gmail.com>
- Update to 3.8.1
  * Verifying support for python 3.8
* Fri Jul 26 2019 Todd R <toddrme2178@gmail.com>
- Update to 3.8.0
  * Textgrids can be saved in the Textgrid long file format with .save(fn, useShortForm=False).
    > For backwards compatibility, by default, it saves in the short file format.
  * Textgrid output formatting is now closer to what Praat outputs.
* Tue May  7 2019 John Vandenberg <jayvdb@gmail.com>
- Activated test suite
- Removed praatio/utilities/xsampa.py with unclear license
- Added documentation, examples and tutorials to -doc subpackage
- Update to v3.7.1
  * FIX: removeUltrashortIntervals respects tg's minTimestamp
- from v3.7.0
  * Speaker normalization and normalization within local context
    added to pitch and intensity query functions
- from v3.6.15
  * Hertz, semitones, etc. can now be extracted.  The default
    is pitch, maintaining pre-existing behaviour
- from v3.6.14
  * Documentation enhancements
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Update to 3.6.13
  * Include license in wheels
  * BUGFIX: Python 3.x incompatibility
  * BUGFIX: Python 2 vs 3 compatibility
* Fri Nov  2 2018 Todd R <toddrme2178@gmail.com>
- Initial version
